<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.wecloud.im.biz.module.message.mapper.ImClientDeviceMapper">


    <update id="removeOldToken">
        UPDATE im_client_device
        SET device_token = NULL
        WHERE device_token = #{deviceToken}
          AND fk_appid = #{appId}
    </update>

</mapper>
